//---------------------------------
// 2017/1/31

#ifndef INA219I2C_H
#define INA219I2C_H

#include "Arduino.h"


class INA219I2C{
private:
  // I2C Pin
  uint8_t pinSCL;
  uint8_t pinSDA;
  
  uint16_t cal = 4096;
  float currentLSB = 0.1F;
  uint8_t powerLSB = 2;
  

public:
  static const uint8_t i2cAddr = 0x40;


  INA219I2C(uint8_t sda, uint8_t scl);
  uint16_t readAddress(uint8_t addr);
  void writeAddress(uint8_t addr, uint16_t data);
  bool init();
  float vbus();
  String vbusStr();
  float current();
  String currentStr();
  uint16_t power();
  String powerStr();
};

#endif

