#include <ESP8266WiFi.h>
#include "INA219I2C.h"


const uint8_t pinSW2 = 0;
const uint8_t pinSW3 = 15;
const uint8_t pinSW4 = 16;
const uint8_t pinSDCS = 2;
const uint8_t pinSDA = 4;
const uint8_t pinSCL = 5;

INA219I2C ina219(pinSDA, pinSCL);     // INA219


void setup() {
  Serial.begin(115200);
  delay(1);
  Serial.print("\n\n-----------------------\n");
  Serial.print("Program Start\n");
  
  pinMode(pinSW2, INPUT);
  pinMode(pinSW3, INPUT);
  pinMode(pinSW4, INPUT_PULLDOWN_16);

  // SPI CS High
  pinMode(pinSDCS, OUTPUT);
  digitalWrite(pinSDCS, HIGH);

  if(!ina219.init()){
    Serial.print("INA219 init failed\n");
  }
}


void loop() {
  Serial.print("\nVbus : ");
  Serial.print(ina219.vbusStr());
  Serial.println("V");
  Serial.print("Current : ");
  Serial.print(ina219.currentStr());
  Serial.println("mA");
  Serial.print("Power : ");
  Serial.print(ina219.powerStr());
  Serial.println("mW");
  delay(3000);
}



